#include <iostream>
#include <stdio.h>
#include <vector>
#include<bits/stdc++.h>
using namespace std;
int main()
{
	vector< pair<double, double> > x;
	double n, i, zbir, temp1;
	double temp2, najvise,sto=100,z=1000000;
	cin >> n;
	for (i = 0; i < n; i++)
	{
		cin >> temp1 >> temp2;
		x.push_back(make_pair(temp2, temp1));
	}
	sort(x.begin(), x.end(), greater< pair<double, double> >());

	zbir = x[0].second;

	najvise = (zbir/ sto * x[0].first);

	for (i = 1; i < n; i++)
	{
		zbir = zbir + x[i].second;
		if (najvise < (zbir/ sto * x[i].first) )
			najvise = (zbir/ sto * x[i].first);
	}

	printf("%lf\n", najvise);
	return 0;
}